SDL_AudioDeviceItem Struct Reference

`#include <SDL_sysaudio.h>`

Collaboration diagram for SDL_AudioDeviceItem:
[legend]

## Data Fields

void * | handle
char * | name
char * | original_name
int | dupenum
struct SDL_AudioDeviceItem * | next

## Detailed Description

Definition at line 97 of file SDL_sysaudio.h.

## Field Documentation

## dupenum

int SDL_AudioDeviceItem::dupenum

Definition at line 102 of file SDL_sysaudio.h.

Referenced by add_audio_device().

## handle

void* SDL_AudioDeviceItem::handle

Definition at line 99 of file SDL_sysaudio.h.

Referenced by add_audio_device(), clean_out_device_list(), free_device_list(), mark_device_removed(), and open_audio_device().

## name

char* SDL_AudioDeviceItem::name

Definition at line 100 of file SDL_sysaudio.h.

Referenced by add_audio_device(), clean_out_device_list(), free_device_list(), and open_audio_device().

## next

struct SDL_AudioDeviceItem* SDL_AudioDeviceItem::next

Definition at line 103 of file SDL_sysaudio.h.

Referenced by add_audio_device(), clean_out_device_list(), free_device_list(), mark_device_removed(), open_audio_device(), and SDL_GetAudioDeviceName().

## original_name

char* SDL_AudioDeviceItem::original_name

Definition at line 101 of file SDL_sysaudio.h.

Referenced by add_audio_device(), clean_out_device_list(), and free_device_list().

The documentation for this struct was generated from the following file:

- src/audio/SDL_sysaudio.h